
import java.awt.*; import javax.swing.*; import java.io.*; import java.util.*;

/*
	MainPanel.java
  	(c)1999-2002 SSC Development Team
	Functions: 
	-Rendering the map.
	Allowed Dependencies: Shiny_Sword.java
*/

public class SmeePanel extends JPanel 
{
    private int x, y, w, h;
    private WalkMap cur_map;
    
    public SmeePanel(WalkMap cur_map, int x, int y, int w, int h) {
    	this.cur_map = cur_map;
    	this.x=x;
    	this.y=y;
    	this.w=w;
    	this.h=h;
    	this.setBackground(new Color((float) 0.0, (float) 0.0, (float) 0.0));
    	}
    
    public void	Update(int x,int y) {
    	this.cur_map = Buffer.getCurMap();
    	this.x = x;
    	this.y = y;
    	}
    
    public void paintComponent(Graphics g) {

        super.paintComponent(g);

        Lib_Image.renderMap(cur_map,g,this,this.x,this.y,this.w,this.h,0);
        Lib_Image.renderMap(cur_map,g,this,this.x,this.y,this.w,this.h,1);
        Lib_Image.renderMap(cur_map,g,this,this.x,this.y,this.w,this.h,2);
    }

}