import java.awt.*; import java.io.*; import java.awt.image.*;
/*
	Tile.java
  	(c)1999-2002 SSC Development Team
	Function: Managing single Tile data structure for use in maps.
	Allowed Dependencies: None
*/

public class Tile implements Serializable
{
	//private BufferedImage contents;	//The tile graphic
	private int nextTile = 0;
	private int[] rgbs;
		
	public Tile() {
	this.rgbs = new int[24*24];	
	}	
	
	public int[] getRgbs() { return this.rgbs; }
	public void setRgbs(int[] rgbs) { this.rgbs = rgbs; }
	
	public Tile(BufferedImage contents) {	//_very_ primitive constructor

    this.rgbs = new int[24*24];
    contents.getRGB(0, 0, 24, 24, rgbs, 0, 24);
	}
	
	public BufferedImage getSource() {
	
	BufferedImage contents = new BufferedImage(24,24,BufferedImage.TYPE_INT_ARGB);
	contents.setRGB(0, 0, 24, 24, rgbs, 0, 24);
	return contents;
	}
	
	public int getNextTile() {
		return nextTile;
	}
	
	public void setNextTile(int n) {
		this.nextTile = n;
	}
	
}